Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Tar Namespace Reference

## Classes
class | InvalidHeaderException
| This exception is used to indicate that there is a problem with a TAR archive header. More...
class | TarArchive
| The TarArchive class implements the concept of a 'Tape Archive'. A tar archive is a series of entries, each of which represents a file system object. Each entry in the archive consists of a header block followed by 0 or more data blocks. Directory entries consist only of the header block, and are followed by entries for the directory's contents. File entries consist of a header followed by the number of blocks needed to contain the file's contents. All entries are written on block boundaries. Blocks are 512 bytes long. More...
class | TarBuffer
| The TarBuffer class implements the tar archive concept of a buffered input stream. This concept goes back to the days of blocked tape drives and special io devices. In the C# universe, the only real function that this class performs is to ensure that files have the correct "record" size, or other tars will complain. More...
class | TarEntry
| This class represents an entry in a Tar archive. It consists of the entry's header, as well as the entry's File. Entries can be instantiated in one of three ways, depending on how they are to be used. More...
class | TarException
| TarExceptions are used for exceptions specific to tar classes and code. More...
class | TarHeader
| This class encapsulates the Tar Entry Header used in Tar Archives. The class also holds a number of tar constants, used mostly in headers. More...
class | TarInputStream
| The TarInputStream reads a UNIX tar archive as an InputStream. methods are provided to position at each successive entry in the archive, and the read each entry as a normal input stream using read(). More...
class | TarOutputStream
| The TarOutputStream writes a UNIX tar archive as an OutputStream. Methods are provided to put entries, and then write their contents by writing to this stream using write(). More...

## Functions
delegate void | ProgressMessageHandler (TarArchive archive, TarEntry entry, string message)
| Used to advise clients of 'events' while processing archives.

## Function Documentation

## ◆ ProgressMessageHandler()

delegate void ICSharpCode.SharpZipLib.Tar.ProgressMessageHandler | ( | TarArchive | archive,
|  | TarEntry | entry,
|  | string | message )

Used to advise clients of 'events' while processing archives.

Here is the caller graph for this function: